/*******************************************************************************
* LTX_DEFS.H
* Allgemeine Defs fum LTX
*******************************************************************************/

// Darstellung einer allgemeinen Fliesskommazahl mit Option zum Fehler:
typedef struct{
  uint16_t errno;	// 0: No ERROR
  float floatval;
} FE_ZAHL;

// Nummerierung (ausser 0 erstmal nur vorlaeufig)
#define NO_ERROR            0
// Ab hier flexibel 1..127: Standard ERRORS
#define ERROR_NO_VALUE      1
#define ERROR_NO_REPLY      2 // No Reply for unsolicited Values (e.g. LIVE)

// Ab 128: Errors mit Details (koennen bei Sensoren vorkommen)
#define ERROR_HW_SEND_CMD           128 // Kabelfehler? z.B I2C_Nack oder i2C-Bus permanent auf 0
#define ERROR_HW_WRITE_NO_REPLY     129 // Bus OK, aber No Reply: No Sensor present
#define ERROR_HW_READ_NO_REPLY      130 //  Bus OK, aber No Reply, obwohl Sensor davor geantwortet hat!
#define ERROR_DATA_CRC              131 // Daten Da, aber CRC falsch

// Ab 256: Seltene/interne Errors
#define ERROR_BUSY                    256
#define ERROR_NOT_INIT                257
#define ERROR_TOO_MUCH_DATA           258
#define ERROR_DRV_ERROR               259 // DRV-ERROR of uart0 +0
#define ERROR_FIFO_ERROR              260 // +1
#define ERROR_DRVFIFO_ERROR           261 // +2

// Hilfsmacros
#define IS_FE_ZAHL_ERROR(f) (f.errno!=0)
#define FE_ZAHL_ERROR_CODE(f) (f.errno)  // 2 Bytes Error Code


//***